/*******************************************************************************
 * ParTypes VCC library :: Required MPI type definitions
 ******************************************************************************/

#ifndef __MPI_MockTypes_h__ /* { */
#define __MPI_MockTypes_h__

// MPI_Datatype
enum
{
  MPI_CHAR,
  MPI_WCHAR_T,
  MPI_UNSIGNED_CHAR,
  MPI_BYTE, 
  MPI_SHORT,
  MPI_UNSIGNED_SHORT,
  MPI_INT,
  MPI_UNSIGNED,
  MPI_LONG,
  MPI_LONG_LONG,
  MPI_LONG_LONG_INT,
  MPI_UNSIGNED_LONG,
  MPI_FLOAT,
  MPI_DOUBLE
};

typedef int MPI_Datatype;

// MPI_Op

typedef int MPI_Op;

enum
{
  MPI_MAX,
  MPI_MIN,
  MPI_SUM,
  MPI_PROD,
  MPI_MAXLOC,
  MPI_MINLOC,
  MPI_BAND,
  MPI_BOR,
  MPI_BXOR,
  MPI_LAND,
  MPI_LOR,
  MPI_LXOR,
  MPI_REPLACE,
  MPI_NO_OP,
  _PARTYPES_MIN_OP = MPI_MAX,
  _PARTYPES_MAX_OP = MPI_NO_OP
};

// MPI_Status

typedef int MPI_Status;
const MPI_Status* MPI_STATUS_IGNORE = 0;


  
#endif  /* } */
